WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Warning Message everywhere in the backend: call_user_func_array() expects…

[Resolved] Warning Message everywhere in the backend: call_user_func_array() expects…

  • Hello breakling,

    first I would thank you for your great work. At this moment I have a problem with your Plugin WP-PIWIK on my website. After installing and activating of your plugin, WordPress shows under the toolbar in the backend the follow message:

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, cannot access private method wp_piwik::onPostStatusTransition() in /homepages/27/d526774006/htdocs/pbc/wp-includes/plugin.php on line 470

    This Warning Message will shown everywhere at the same position in the backend.
    At first, I searched for a few websites and was landed on:

    Warning: call_user_func_array() expects parameter 1

    At the end of this post I found the follow notice:

    PD: This error could be also related to plugins authors that declared a function on a previous version of their plugin and then on a newest version they delete it but forget to delete the action related.

    Therefore I write this post in your forum. Hopefully you can help me.
    By the way: if it is helpful I send you a private link to my website.

    Thanks for your help and please excuse my bad english.

    With kind regards

    https://wordpress.org/plugins/wp-piwik/

Viewing 1 replies (of 1 total)
  • Plugin Author braekling

    @braekling

    This bug is already fixed and will be released with 0.9.9.11 very soon.

    Until the release, you can disable annotations to avoid the warning. Or disable WP_DEBUG (if it is a live system, you should disable debugging always).

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Warning Message everywhere in the backend: call_user_func_array() expects…’ is closed to new replies.